From b8f8c14491160043dd880d1e62c01903402352b2 Mon Sep 17 00:00:00 2001
From: Camelia Groza <camelia.groza@nxp.com>
Date: Wed, 24 Oct 2018 13:35:16 +0300
Subject: [PATCH] sdk_dpaa: ceetm: rename qdisc_destroy() to qdisc_put()

Signed-off-by: Camelia Groza <camelia.groza@nxp.com>
---
 drivers/net/ethernet/freescale/sdk_dpaa/dpaa_eth_ceetm.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

--- a/drivers/net/ethernet/freescale/sdk_dpaa/dpaa_eth_ceetm.c
+++ b/drivers/net/ethernet/freescale/sdk_dpaa/dpaa_eth_ceetm.c
@@ -432,7 +432,7 @@ static void ceetm_cls_destroy(struct Qdi
 	switch (cl->type) {
 	case CEETM_ROOT:
 		if (cl->root.child) {
-			qdisc_destroy(cl->root.child);
+			qdisc_put(cl->root.child);
 			cl->root.child = NULL;
 		}
 
@@ -445,7 +445,7 @@ static void ceetm_cls_destroy(struct Qdi
 
 	case CEETM_PRIO:
 		if (cl->prio.child) {
-			qdisc_destroy(cl->prio.child);
+			qdisc_put(cl->prio.child);
 			cl->prio.child = NULL;
 		}
 
@@ -567,7 +567,7 @@ static void ceetm_destroy(struct Qdisc *
 		 */
 		for (ntx = 0; ntx < dev->num_tx_queues; ntx++)
 			if (priv->root.qdiscs[ntx])
-				qdisc_destroy(priv->root.qdiscs[ntx]);
+				qdisc_put(priv->root.qdiscs[ntx]);
 
 		kfree(priv->root.qdiscs);
 		break;
@@ -1367,7 +1367,7 @@ static void ceetm_attach(struct Qdisc *s
 		qdisc = priv->root.qdiscs[i];
 		old_qdisc = dev_graft_qdisc(qdisc->dev_queue, qdisc);
 		if (old_qdisc)
-			qdisc_destroy(old_qdisc);
+			qdisc_put(old_qdisc);
 	}
 
 	kfree(priv->root.qdiscs);
